Package org.gradle.api.tasks

## Class WorkResults

- java.lang.Object
- - org.gradle.api.tasks.WorkResults

-     public class WorkResults
      extends java.lang.Object

  Helps access trivial `WorkResult` objects.
  Since:
    4.2

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WorkResult` | `didWork​(boolean didWork)` | Returns a `WorkResult` object representing work done according to the given parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### didWork

          public static WorkResult didWork​(boolean didWork)

      Returns a `WorkResult` object representing work done according to the given parameter.